Skip to content

Switch ​

78 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
cancelCableTestPOSTCancel cable test
getCableTestFullResultsGETGet the cable test full results
getCableTestIncrementResultsGETGet the cable test increment results
getCableTestLogsGETGet the cable test logs
getCableTestOswPortsGETGet the port list used for cable test
startCableTestPOSTStart cable test
batchModifyLoopbackControlPUTBatch modify switch loopback control
batchModifyESLoopbackControlPUTBatch modify switch loopback control (Agile Series)
getOswForGivenLanNetworkIdAndVlanGETGet the paging query for the osws with given network id and vlan
getSwitchInfoGETGet switch info
modifyLoopbackControlPUTModify switch loopback control
getOswDDMInfoGETGet osw ddm info.
getGridDhcpUserListGETGet switch dhcp user list
getSwitchExistNetworksGETGet the networks existing on the switch
getGeneralConfigGETGet switch general config
modifyGeneralConfigPATCHModify switch general config
listSwitchInterfacesGETList Switch Interfaces
listSwitchBriefInterfacesGETList Switch Brief Interfaces
modifyPmtudStatus_1POSTModify Path MTU Discovery
getL3SwitchUsedSdmNumGETGet the used sdm template num on the campus series switches
deleteSwitchLagDELETEDelete switch lag
modifySwitchLagPATCHModify switch lag
getGridLldpNeighborTableGETGet switch lldp neighbor table
createLoopbackInterfacePOSTCreate Loopback Interface
deleteLoopbackInterfaceDELETEDelete Loopback Interface
modfiyLoopbackInterfacePUTModify Loopback Interface
batchModifySwitchPortPATCHBatch modify switch port
batchSetNameForGivenPorts_1PUTBatch set name for given ports
batchSetPoeModeForGivenPorts_1PUTBatch set poe mode for given ports
batchPortPoERecoveryPOSTSwitch port poe recovery.
batchSetProfileOverrideForGivenPorts_1PUTBatch set profile-override for given ports
batchSetPortStatusForGivenPorts_1PUTBatch set status for given ports
listSwitchNetworksGETQuery switch vlan interface infos.
batchApplySwitchNetworkPOSTBatch modify switch vlan interfaces.
getGridPortAndLagNetworksDetailGETGet the networks detail (including the vlan related ports and lags info) used on switch's ports and LAGs
modifySwitchNetworkPOSTModify switch network config.
getGridOspfNeighborTableGETGet switch ospf neighbor table
getGridPortAndLagNetworks_1GETGet the networks used on switch's ports and LAGs
getPortAndLagNetwork_1GETGet the switch's ports and LAGs that the network affects
modifySwitchPortPATCHModify switch port
setNameForGivenPort_1PUTSet name for given port
setPoeModeForGivenPort_1PUTSet poe mode for given port
setProfileForGivenPort_1PUTSet profile for given port
setProfileOverrideForGivenPort_1PUTSet profile-override for given port
setPortModeForGivenPort_1PUTSet port status for given port
getRpvstInstancesGETGet Rpvst Instances
getSwitchUsedSdmNumGETGet the used sdm template num on the switch
getGridStaticRoutingGETGet grid switch staticRouting
createStaticRoutingPOSTCreate switch staticRouting
deleteStaticRoutingDELETEDelete switch staticRouting
modifyStaticRoutingPUTModify switch staticRouting
getStpInstancesDetailPOSTGet StpInstanceDetail
getGridVrfGETGet the vrfs on the switch
createOswVrfPOSTCreate new vrf
deleteOswVrfDELETEDelete vrf
modifyOswVrfPUTModify vrf
getOswsDetailsPOSTGet the details of osws with given omadacid, siteid and macs and stackIds.
getESInfoGETGet switch info (Agile Series)
modifyESLoopbackControlPUTModify switch loopback control (Agile Series)
getESGeneralConfigGETGet switch general config (Agile Series )
modifyESGeneralConfigPATCHModify switch general config (Agile Series)
getESNetworkOverviewGETQuery Agile Series switch valid network
getBatchSwitchExistNetworksPOSTGet the networks intersections existing on multiple switches
clearOswPortCountersPOSTClear the switches ports counters
batchModifySwitchesPortLagPATCHBatch modify switches ports and lags
deletePortTagDELETEDelete an existing switch port label
getPortTagsGETGet switch port label list
modifyPortTagPATCHModify an existing switch port label
addPortTagPOSTCreate new switch port label
getGridSwitchesPortsCountersGETGet the switches ports counters information
getGridSwitchesPortsOverviewGETGet the switches ports overview
getGridSwitchesPortsPoeGETGet the switches ports poe information
getBatchSelectOswDetailsViewPOSTGet the switches and ports detail in batches
getOswDetailInfoListForPortsViewGETGet the switches detail for ports view
getBatchRpvstInstancesPOSTGet Batch Rpvst Instances
getOswsSupportArpDetectGETGet the paging query for the osws that support arp detect.
getOswsSupportDhcpSnoopGETGet the paging query for the osws that support dhcp snoop.
mspMoveToCustomerPOSTMove site to target customer

cancelCableTest ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/cancel

Cancel cable test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "cancelCableTest",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Cancel cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getCableTestFullResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/full-results

Get the cable test full results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getCableTestFullResults",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the cable test full results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getCableTestIncrementResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/increment-results

Get the cable test increment results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getCableTestIncrementResults",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the cable test increment results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getCableTestLogs ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/logs

Get the cable test logs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getCableTestLogs",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the cable test logs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getCableTestOswPorts ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/ports

Get the port list used for cable test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getCableTestOswPorts",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the port list used for cable test.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

startCableTest ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/start

Start cable test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OswCableTestTestingPortOpenApiVO

FieldTypeRequiredDescription
portListarray<OswBriefPortInfoOpenApiVO>noPort list
json
// omada_call_operation
{
  "operationId": "startCableTest",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Start cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

batchModifyLoopbackControl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/cmd/switches/config/loopback

Batch modify switch loopback control

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SwitchBatchLoopbackControl

FieldTypeRequiredDescription
switchMacListarray<string>yesParameter [switchMacList] should contain at least one switch MAC
loopbackDetectEnablebooleannoLoopbackDetectEnable
stpintegernoSTP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP
priorityintegernoParameter [priority] should be an integer from 0 to 61440 and divisible by 4096.
helloTimeintegernohelloTime should be between 1 and 10.
maxAgeintegernomaxAge should be between 6 and 40.
forwardDelayintegernoforwardDelay should be between 4 and 30.
txHoldCountintegernotxHoldCount should be between 1 and 20.
maxHopsintegernomaxHops should be between 1 and 40.
mstpOswStpMstpConfigOpenApiVOno(OswStpMstpConfigOpenApiVO not expanded; call omada_get_schema "OswStpMstpConfigOpenApiVO")
json
// omada_call_operation
{
  "operationId": "batchModifyLoopbackControl",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

batchModifyESLoopbackControl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/cmd/switches/es/config/loopback

Batch modify switch loopback control (Agile Series)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema EasyManagedSwitchBatchLoopbackControl

FieldTypeRequiredDescription
switchMacListarray<string>yesParameter [switchMacList] should contain at least one switch MAC
loopbackDetectEnablebooleannoLoopbackDetectEnable
stpintegernoSTP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP
priorityintegernopriority
json
// omada_call_operation
{
  "operationId": "batchModifyESLoopbackControl",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify Agile Series switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

getOswForGivenLanNetworkIdAndVlan ​

GET /openapi/v1/{omadacId}/sites/{siteId}/networks/{networkId}/vlans/{vlan}/switches

Get the paging query for the osws with given network id and vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
networkIdpathstringyesnetworkId
vlanpathstringyesvlan
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOswForGivenLanNetworkIdAndVlan",
  "params": {
    "siteId": "<siteId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get the paging query for the osws with given network id and vlan
The interface requires one of the permissions:
Site Device Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.

getSwitchInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}

Get switch info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSwitchInfo",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get switch info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39742 - The Agile Series Switch should use the corresponding path.

modifyLoopbackControl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/config/loopback

Modify switch loopback control

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SwitchLoopbackControl

FieldTypeRequiredDescription
loopbackDetectEnablebooleannoLoopbackDetectEnable
stpintegernoSTP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP 4: RPVST
priorityintegernoParameter [priority] should be an integer from 0 to 61440 and divisible by 4096.
helloTimeintegernohelloTime should be between 1 and 10.
maxAgeintegernomaxAge should be between 6 and 40.
forwardDelayintegernoforwardDelay should be between 4 and 30.
txHoldCountintegernotxHoldCount should be between 1 and 20.
maxHopsintegernomaxHops should be between 1 and 40. maxHops is only allowed when the STP type is MSTP.
mstpOswStpMstpConfigOpenApiVOno(OswStpMstpConfigOpenApiVO not expanded; call omada_get_schema "OswStpMstpConfigOpenApiVO")
rpvstOswStpRpvstVOno(OswStpRpvstVO not expanded; call omada_get_schema "OswStpRpvstVO")
json
// omada_call_operation
{
  "operationId": "modifyLoopbackControl",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

getOswDDMInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ddm/info

Get osw ddm info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOswDDMInfo",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get osw ddm info.
The interface requires one of the permissions:
Site Device Manager View Only

getGridDhcpUserList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/dhcp/user-list

Get switch dhcp user list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDhcpUserList",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get switch dhcp user list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only

getSwitchExistNetworks ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/exist-network

Get the networks existing on the switch

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSwitchExistNetworks",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the networks existing on the switch.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getGeneralConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/general-config

Get switch general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getGeneralConfig",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get switch general config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.

modifyGeneralConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/general-config

Modify switch general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SwitchGeneralConfig

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters.
ledSettingintegernoLed setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings
tagIdsarray<string>noTag IDs
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
jumboFollowSitebooleannoWhether jumbo setting follows site setting.
jumbointegernoRequired only when jumboFollowSite = false. Range: 1518–9216.
lagHashAlgFollowSitebooleannoWhether lag hash algorithm setting follows site setting.
lagHashAlgintegernoRequired only when lagHashAlgFollowSite = false. It should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP
snmpOswSnmpOpenApiVOno(OswSnmpOpenApiVO not expanded; call omada_get_schema "OswSnmpOpenApiVO")
sdmOswSdmTemplateVOno(OswSdmTemplateVO not expanded; call omada_get_schema "OswSdmTemplateVO")
json
// omada_call_operation
{
  "operationId": "modifyGeneralConfig",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch general config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

listSwitchInterfaces ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/interfaces

List Switch Interfaces

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "listSwitchInterfaces",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

List Switch Interfaces, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

listSwitchBriefInterfaces ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/interfaces/brief

List Switch Brief Interfaces

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "listSwitchBriefInterfaces",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

List Switch Brief Interfaces for OSPF Configurations, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

modifyPmtudStatus_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/interfaces/pmtud

Modify Path MTU Discovery

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OswPmtudVO

FieldTypeRequiredDescription
enablebooleannoThe Switch of Path MTU Discovery.
json
// omada_call_operation
{
  "operationId": "modifyPmtudStatus_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify Path MTU Discovery.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getL3SwitchUsedSdmNum ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/l3-sdm-used

Get the used sdm template num on the campus series switches

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getL3SwitchUsedSdmNum",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the used template num on the campus series switches.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

deleteSwitchLag ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/lags/{lagId}

Delete switch lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
lagIdpathstringyesLag ID
json
// omada_call_operation
{
  "operationId": "deleteSwitchLag",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "lagId": "<lagId>"
  }
}
Details, permissions and error codes

Delete switch lag.
The interface requires one of the permissions:
Site Device Manager Modify

modifySwitchLag ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/lags/{lagId}

Modify switch lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
lagIdpathstringyesLag ID

Request body — application/json (required) — schema OswLagSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
lagIdintegernoLag ID
lagTypeintegernoLag Type should be a value as follows: 1: STATIC; 2: LACP; 3: LACP ACTIVE; 4: LACP PASSIVE
portsarray<integer>noLag Ports
mlagNamestringnoM-LAG group Name
mlagEnablebooleannoIndicates whether M-LAG port is enabled
mlagPeerSettingOswMlagPeerSettingVOno(OswMlagPeerSettingVO not expanded; call omada_get_schema "OswMlagPeerSettingVO")
json
// omada_call_operation
{
  "operationId": "modifySwitchLag",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "lagId": "<lagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch lag.
The interface requires one of the permissions:
Site Device Manager Modify

getGridLldpNeighborTable ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/lldp-neighbors

Get switch lldp neighbor table

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.portIdquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field portId,standardPort,deviceId,systemName
json
// omada_call_operation
{
  "operationId": "getGridLldpNeighborTable",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get switch lldp neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only

createLoopbackInterface ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/loopback-interface

Create Loopback Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OswLoopbackInterfaceVO

FieldTypeRequiredDescription
statusintegeryesInterface status.0: disable, 1: enable.
namestringyesLoopback Interface name.
vrfIdstringnoVRF ID. This field is non-empty when the device supports VRF.
loopbackIdintegeryesLoopback ID.
ipstringyesIP address.
json
// omada_call_operation
{
  "operationId": "createLoopbackInterface",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

deleteLoopbackInterface ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/loopback-interface/{loopbackInterfaceId}

Delete Loopback Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
loopbackInterfaceIdpathstringyesLoopback Interface ID
json
// omada_call_operation
{
  "operationId": "deleteLoopbackInterface",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "loopbackInterfaceId": "<loopbackInterfaceId>"
  }
}
Details, permissions and error codes

Delete Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

modfiyLoopbackInterface ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/loopback-interface/{loopbackInterfaceId}

Modify Loopback Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
loopbackInterfaceIdpathstringyesLoopback Interface ID

Request body — application/json (required) — schema OswLoopbackInterfaceVO

FieldTypeRequiredDescription
statusintegeryesInterface status.0: disable, 1: enable.
namestringyesLoopback Interface name.
vrfIdstringnoVRF ID. This field is non-empty when the device supports VRF.
loopbackIdintegeryesLoopback ID.
ipstringyesIP address.
json
// omada_call_operation
{
  "operationId": "modfiyLoopbackInterface",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "loopbackInterfaceId": "<loopbackInterfaceId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

batchModifySwitchPort ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/config

Batch modify switch port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema BatchOswPortSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
mirroredPortsarray<integer>noMirrored Ports
mirroredLagsarray<integer>noMirrored Lags
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
lagDeletebooleannoWhen the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId.
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoe should be a value as follows: 0: Off; 1: 802.3at/af
lldpMedEnablebooleannoIndicates whether LLDP-MED is enabled
topoNotifyEnablebooleannoIndicates whether Topology Notify is enabled
portListarray<integer>yes
json
// omada_call_operation
{
  "operationId": "batchModifySwitchPort",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify switch port.
The interface requires one of the permissions:
Site Device Manager Modify

batchSetNameForGivenPorts_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/name

Batch set name for given ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema PortNameList

FieldTypeRequiredDescription
portNameListarray<SwitchMultiPortName>yesPort name list
json
// omada_call_operation
{
  "operationId": "batchSetNameForGivenPorts_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set name for given ports.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.

batchSetPoeModeForGivenPorts_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/poe-mode

Batch set poe mode for given ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SwitchPortsPoe

FieldTypeRequiredDescription
portListarray<integer>yesPort ID List.
poeModeintegeryesPoe mode should be a value as follows: 1: on(802.3at/af); 0: off.
json
// omada_call_operation
{
  "operationId": "batchSetPoeModeForGivenPorts_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set poe mode for given ports. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-39747 - This switch does not support PoE.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

batchPortPoERecovery ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/poe-recovery

Switch port poe recovery.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OswPoeRecoverOpenApiVO

FieldTypeRequiredDescription
portsarray<integer>yesPlease select the ports to perform PoE recovery. For example, [1, 2, 3].
json
// omada_call_operation
{
  "operationId": "batchPortPoERecovery",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Switch port poe recovery.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39051 - Operation failed. Please try again later.
-39700 - Switch does not exist
-60004 - The device is not activated.

batchSetProfileOverrideForGivenPorts_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/profile-override

Batch set profile-override for given ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema BatchProfileOverride

FieldTypeRequiredDescription
portListarray<integer>yesPort ID List.
profileOverrideEnablebooleanyesProfile Override Enable.
json
// omada_call_operation
{
  "operationId": "batchSetProfileOverrideForGivenPorts_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set profile-override for given ports.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.

batchSetPortStatusForGivenPorts_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/status

Batch set status for given ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SwitchPortsStatus

FieldTypeRequiredDescription
portListarray<integer>yesPort list
statusintegeryesStatus should be a value as follows: 0: off; 1: on
json
// omada_call_operation
{
  "operationId": "batchSetPortStatusForGivenPorts_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set status for given ports.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39723 - Cannot choose mirroring or aggregating ports to batch modify.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

listSwitchNetworks ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks

Query switch vlan interface infos.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "listSwitchNetworks",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Query switch vlan interface infos.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-44402 - Device template does not exist.

batchApplySwitchNetwork ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks

Batch modify switch vlan interfaces.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema BatchApplyOswNetworkOpenApi

FieldTypeRequiredDescription
applyListarray<OswNetworkBaseOpenApi>yesBatch config networks status.
json
// omada_call_operation
{
  "operationId": "batchApplySwitchNetwork",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify switch vlan interfaces.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33538 - The number of VLAN Interface entries has reached the limit.
-33549 - Only one VLAN interface can be enabled for the switches in a LAN network whose VLAN Type is Multiple.
-39700 - Switch does not exist

getGridPortAndLagNetworksDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks-detail

Get the networks detail (including the vlan related ports and lags info) used on switch's ports and LAGs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridPortAndLagNetworksDetail",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the networks detail (including the vlan related ports and lags info) used on switch's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

modifySwitchNetwork ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks/{networkId}

Modify switch network config.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
networkIdpathstringyesSwitch network ID.

Request body — application/json (required) — schema OswNetworkOpenApi

FieldTypeRequiredDescription
idstringyesNetwork ID
vlanintegeryesVLAN ID.
statusbooleannoEnable status of the network vlan. Note: this field only takes effect when toggling switch status on the Interface list page and is ignored by other switch network edit APIs.
mvlanbooleanyesIndicate the vlan is management vlan or not.
namestringnoSwitch network name.
ipOswIpSettingOpenApiVOno(OswIpSettingOpenApiVO not expanded; call omada_get_schema "OswIpSettingOpenApiVO")
ipv6EnablebooleannoEnable IPV6 or not.
ipv6OswIpv6SettingOpenApiVOno(OswIpv6SettingOpenApiVO not expanded; call omada_get_schema "OswIpv6SettingOpenApiVO")
modeintegeryesDHCP mode. 0: None, mode 1: DHCP Server, mode 2: DHCP Relay
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
vrfIdstringnoVRF ID
mtuintegernoMTU, MTU value should be less than or equal to the jumbo value
json
// omada_call_operation
{
  "operationId": "modifySwitchNetwork",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch network config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33529 - The network cannot be disabled because it has been configured as the Management VLAN.
-33538 - The number of VLAN Interface entries has reached the limit.
-33549 - Only one VLAN interface can be enabled for the switches in a LAN network whose VLAN Type is Multiple.
-33555 - The IP range you set for the VLAN Interface conflicts with the IP range of another VLAN Interface.
-35207 - IP address is null or invalid.
-39700 - Switch does not exist
-39710 - Management VLAN does not exist.

getGridOspfNeighborTable ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ospf-neighbors

Get switch ospf neighbor table

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.neighborInterfacequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.neighborInterfacequeryarray<string>noFilter query parameters, support field neighborInterface
filters.processIdquerystringnoFilter query parameters, support field processId
searchKeyquerystringnoFuzzy query parameters, support field neighborIp
json
// omada_call_operation
{
  "operationId": "getGridOspfNeighborTable",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get switch ospf neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only

getGridPortAndLagNetworks_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/port-lag-networks

Get the networks used on switch's ports and LAGs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridPortAndLagNetworks_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the networks used on switch's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getPortAndLagNetwork_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/port-lag-networks/{networkId}/vlan/{vlan}

Get the switch's ports and LAGs that the network affects

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
networkIdpathstringyesSwitch network ID.
vlanpathstringyesVLAN.
json
// omada_call_operation
{
  "operationId": "getPortAndLagNetwork_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get the switch's ports and LAGs that the network affects.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-39700 - Switch does not exist

modifySwitchPort ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}

Modify switch port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesPort ID

Request body — application/json (required) — schema OswPortSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
mirroredPortsarray<integer>noMirrored Ports
mirroredLagsarray<integer>noMirrored Lags
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
lagDeletebooleannoWhen the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId.
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoe should be a value as follows: 0: Off; 1: 802.3at/af
lldpMedEnablebooleannoIndicates whether LLDP-MED is enabled
topoNotifyEnablebooleannoIndicates whether Topology Notify is enabled
json
// omada_call_operation
{
  "operationId": "modifySwitchPort",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch port.
The interface requires one of the permissions:
Site Device Manager Modify

setNameForGivenPort_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/name

Set name for given port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesPort ID

Request body — application/json (required) — schema SwitchPortName

FieldTypeRequiredDescription
namestringyesName should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "setNameForGivenPort_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set name for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.

setPoeModeForGivenPort_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/poe-mode

Set poe mode for given port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesPort

Request body — application/json (required) — schema SwitchPortPoe

FieldTypeRequiredDescription
poeModeintegeryesPoe mode should be a value as follows: 1: on(802.3at/af); 0: off.
json
// omada_call_operation
{
  "operationId": "setPoeModeForGivenPort_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set poe mode for given port. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-39747 - This switch does not support PoE.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

setProfileForGivenPort_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/profile

Set profile for given port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesPort ID

Request body — application/json (required) — schema SwitchProfileID

FieldTypeRequiredDescription
profileIdstringyesProfile ID.
json
// omada_call_operation
{
  "operationId": "setProfileForGivenPort_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set profile for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33507 - This profile does not exist.
-33558 - The profile does not support the Agile Series Switch.
-33564 - The number of VLANs has reached the limit of the Agile Series Switch.
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.

setProfileOverrideForGivenPort_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/profile-override

Set profile-override for given port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesPort ID

Request body — application/json (required) — schema ProfileOverride

FieldTypeRequiredDescription
profileOverrideEnablebooleanyesProfile Override Enable
json
// omada_call_operation
{
  "operationId": "setProfileOverrideForGivenPort_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set profile-override for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.

setPortModeForGivenPort_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/status

Set port status for given port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesPort

Request body — application/json (required) — schema SwitchPortStatus

FieldTypeRequiredDescription
statusintegeryesStatus should be a value as follows: 0: off; 1: on
json
// omada_call_operation
{
  "operationId": "setPortModeForGivenPort_1",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set port status for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39738 - Cannot choose mirroring or aggregating port to modify status.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

getRpvstInstances ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/rpvst-instances

Get Rpvst Instances

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getRpvstInstances",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get Rpvst Instances.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getSwitchUsedSdmNum ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/sdm-used

Get the used sdm template num on the switch

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSwitchUsedSdmNum",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the used template num on the switch.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getGridStaticRouting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings

Get grid switch staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get grid switch staticRouting.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

createStaticRouting ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings

Create switch staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO

FieldTypeRequiredDescription
ipVersionintegeryesThe IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6.
statusbooleanyesStaticRouting status
destinationsarray<string>yesIP address/SubNet, up to 16 entries are allowed for the destinations list.
nextHopIpstringyesNextHopIp
distanceintegeryesDistance should be within the range of 1–255.
descriptionstringnoThe description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# .
vrfIdstringnoVrfId
nextHopVrfIdstringnoNextHopVrfId
json
// omada_call_operation
{
  "operationId": "createStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create switch staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

deleteStaticRouting ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings/{staticRoutingId}

Delete switch staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
staticRoutingIdpathstringyesStatic routing ID
json
// omada_call_operation
{
  "operationId": "deleteStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "staticRoutingId": "<staticRoutingId>"
  }
}
Details, permissions and error codes

Delete switch staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

modifyStaticRouting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings/{staticRoutingId}

Modify switch staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
staticRoutingIdpathstringyesStatic routing ID

Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO

FieldTypeRequiredDescription
ipVersionintegeryesThe IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6.
statusbooleanyesStaticRouting status
destinationsarray<string>yesIP address/SubNet, up to 16 entries are allowed for the destinations list.
nextHopIpstringyesNextHopIp
distanceintegeryesDistance should be within the range of 1–255.
descriptionstringnoThe description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# .
vrfIdstringnoVrfId
nextHopVrfIdstringnoNextHopVrfId
json
// omada_call_operation
{
  "operationId": "modifyStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "staticRoutingId": "<staticRoutingId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getStpInstancesDetail ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/stp/instance-detail

Get StpInstanceDetail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema StpInstanceDetailVO

FieldTypeRequiredDescription
stpintegeryesstp, 1: STP / 2: RSTP / 3: MSTP / 4: RPVST / 0: OFF
idintegernoinstance ID
vlanintegernoinstance vlanId
json
// omada_call_operation
{
  "operationId": "getStpInstancesDetail",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get StpInstanceDetail.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getGridVrf ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs

Get the vrfs on the switch

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVrf",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get the vrfs on the switch.
The interface requires one of the permissions:
Site Device Manager View Only

createOswVrf ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs

Create new vrf

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OswVrfConfigOpenApiVO

FieldTypeRequiredDescription
vrfstringnoVRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv4EnablebooleannoWhether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv6EnablebooleanyesWhether to enable ipv6
json
// omada_call_operation
{
  "operationId": "createOswVrf",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new vrf.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39945 - This switch VRF name is reserved for device management purposes, please use a different name.
-39970 - The number of VRF entries in this switch has reached the limit.
-39971 - This switch VRF Name already exists.

deleteOswVrf ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs/{vrfId}

Delete vrf

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
vrfIdpathstringyesVRF ID
json
// omada_call_operation
{
  "operationId": "deleteOswVrf",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "vrfId": "<vrfId>"
  }
}
Details, permissions and error codes

Delete vrf.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39947 - The default VRF cannot be deleted.
-39972 - This VRF in use cannot be deleted.
-39975 - Switch VRF does not exist.

modifyOswVrf ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs/{vrfId}

Modify vrf

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
vrfIdpathstringyesVRF ID

Request body — application/json (required) — schema OswVrfConfigOpenApiVO

FieldTypeRequiredDescription
vrfstringnoVRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv4EnablebooleannoWhether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv6EnablebooleanyesWhether to enable ipv6
json
// omada_call_operation
{
  "operationId": "modifyOswVrf",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "vrfId": "<vrfId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify vrf.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39948 - The default VRF cannot be edited.
-39971 - This switch VRF Name already exists.
-39973 - This VRF is being used by other IPv6 functions and the IPv6 address-family cannot be disabled.
-39975 - Switch VRF does not exist.

getOswsDetails ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/details

Get the details of osws with given omadacid, siteid and macs and stackIds.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OswDetailOpenApiVO

FieldTypeRequiredDescription
macsarray<string>noThe collection of macs of the general switches.
stackIdsarray<string>noThe collection of stack ids of the stack switches.
networkIdstringyesNetwork ID.
vlanintegeryesVLAN ID.
json
// omada_call_operation
{
  "operationId": "getOswsDetails",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the details of osws with given omadacid, siteid and macs and stackIds.
The interface requires one of the permissions:
Site Device Manager View Only

getESInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}

Get switch info (Agile Series)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getESInfo",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get Agile Series switch info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39743 - The Non-Agile Series switch should use the corresponding path.

modifyESLoopbackControl ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/config/loopback

Modify switch loopback control (Agile Series)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema EasyManagedSwitchLoopbackControl

FieldTypeRequiredDescription
loopbackDetectEnablebooleannoLoopbackDetectEnable
stpintegernoSTP should be a value as follows: 0: OFF 1: STP 2: RSTP
priorityintegernopriority
maxAgeintegernomaxAge should be between 6 and 40.
forwardDelayintegernoforwardDelay should be between 4 and 30.
txHoldCountintegernotxHoldCount should be between 1 and 10.
json
// omada_call_operation
{
  "operationId": "modifyESLoopbackControl",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Agile Series switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.

getESGeneralConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/general-config

Get switch general config (Agile Series )

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getESGeneralConfig",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get Agile Series switch general config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.

modifyESGeneralConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/general-config

Modify switch general config (Agile Series)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema EasyManagedSwitchGeneralConfig

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 32 characters.
ledSettingintegernoLED setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings
tagIdsarray<string>noTag IDs
jumboEnablebooleannoParameter [jumboEnable] should be true or false.
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
rememberbooleannoParameter [remember] should be true or false.
powerAlertEnablebooleannoPower alert status.
json
// omada_call_operation
{
  "operationId": "modifyESGeneralConfig",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Agile Series switch general config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.

getESNetworkOverview ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/network-overview

Query Agile Series switch valid network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getESNetworkOverview",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Query Agile Series switch valid network.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39748 - This request is only for the Agile Series Switch.

getBatchSwitchExistNetworks ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/exist-network

Get the networks intersections existing on multiple switches

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OswMacListVO

FieldTypeRequiredDescription
switchMacListarray<string>yesSwitch Mac List
json
// omada_call_operation
{
  "operationId": "getBatchSwitchExistNetworks",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the networks intersections existing on multiple switches.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

clearOswPortCounters ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/multi-ports/clear-counters

Clear the switches ports counters

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClearCountersVO

FieldTypeRequiredDescription
portListarray<PortParamVO>yes
json
// omada_call_operation
{
  "operationId": "clearOswPortCounters",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Clear the switches ports counters.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify

batchModifySwitchesPortLag ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/multi-ports/config

Batch modify switches ports and lags

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MultiOswPortSettingOpenApiVO

FieldTypeRequiredDescription
switchListarray<OswPortLagListVO>yesSwitch List with port and LAG info
selectAllbooleanyesIndicates whether select all switch ports.false: include selected switch ports and lags in Parameter [switchList], true: all switch ports and lags but exclude selected switch ports and lags in Parameter [switchList].
searchKeystringnoThe keywords of the searchIt is effected when [selectAll] is 'true'.
filtersobjectnoFilter conditions in the form of Map.It is effected when [selectAll] is 'true', filter key is the filter field and the value is the filter content.Filter fields include: [connectedStatus], [networkMode], [poeDisplayType], [linkSpeed], [duplex],[switchMac], [switchStatusCategory], [switchSupportPoe], [nativeNetworkId], [networkTagsSetting], [profileId], [operation], [tagIds].
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
profileIdstringnoProfile ID
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
json
// omada_call_operation
{
  "operationId": "batchModifySwitchesPortLag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify switches ports and lags.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify

deletePortTag ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag

Delete an existing switch port label

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeletePortTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesPort label ID
json
// omada_call_operation
{
  "operationId": "deletePortTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing switch port label.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify

getPortTags ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag

Get switch port label list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPortTags",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get switch port label list.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only
Network Config Page View Only

modifyPortTag ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag

Modify an existing switch port label

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema PortTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesPort label ID
namestringyesPort label name should contain 1 to 128 ASCII characters.
resourceintegernoData Source. Resource should be a value as follows: 0: new created; 1: from template; 2: override
json
// omada_call_operation
{
  "operationId": "modifyPortTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing switch port label.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify

addPortTag ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag

Create new switch port label

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CreatePortTagOpenApiVO

FieldTypeRequiredDescription
namestringyesPort label name should contain 1 to 128 ASCII characters.
json
// omada_call_operation
{
  "operationId": "addPortTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new switch port label.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify

getGridSwitchesPortsCounters ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/ports/counters

Get the switches ports counters information

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSwitchesPortsCounters",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the switches ports information.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only

getGridSwitchesPortsOverview ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/ports/overview

Get the switches ports overview

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSwitchesPortsOverview",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the switches ports overview.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only

getGridSwitchesPortsPoe ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/ports/poe-info

Get the switches ports poe information

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSwitchesPortsPoe",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the switches ports poe information.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only

getBatchSelectOswDetailsView ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/ports/select

Get the switches and ports detail in batches

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MultiOswPortSelectVO

FieldTypeRequiredDescription
switchListarray<OswPortLagListVO>yesSwitches Port And Lag List
selectAllbooleanyesIndicates whether select all switch ports.false: include selected switch ports and lags in Parameter [switchList], true: all switch ports and lags but exclude selected switch ports and lags in Parameter [switchList].
searchKeystringnoThe keywords of the searchIt is effected when [selectAll] is 'true'.
filtersobjectnoFilter conditions in the form of Map.It is effected when [selectAll] is 'true', filter key is the filter field and the value is the filter content.Filter fields include: [connectedStatus], [networkMode], [poeDisplayType], [linkSpeed], [duplex],[switchMac], [switchStatusCategory], [switchSupportPoe], [nativeNetworkId], [networkTagsSetting], [profileId], [operation], [tagIds].
json
// omada_call_operation
{
  "operationId": "getBatchSelectOswDetailsView",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the switches and ports detail in batches.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only

getOswDetailInfoListForPortsView ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/ports/switch-detail

Get the switches detail for ports view

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getOswDetailInfoListForPortsView",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the switches detail for ports view.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only

getBatchRpvstInstances ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switches/rpvst-instances

Get Batch Rpvst Instances

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required)

Type: array&lt;string&gt;

json
// omada_call_operation
{
  "operationId": "getBatchRpvstInstances",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get Batch Rpvst Instances.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getOswsSupportArpDetect ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/supportArpDetect

Get the paging query for the osws that support arp detect.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOswsSupportArpDetect",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the paging query for the osws that support arp detect.
The interface requires one of the permissions:
Site Device Manager View Only
Network Config Page View Only

getOswsSupportDhcpSnoop ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/supportDhcpSnoop

Get the paging query for the osws that support dhcp snoop.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOswsSupportDhcpSnoop",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the paging query for the osws that support dhcp snoop.
The interface requires one of the permissions:
Site Device Manager View Only
Network Config Page View Only

mspMoveToCustomer ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/switches/move

Move site to target customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MoveToCustomerOpenApiVO

FieldTypeRequiredDescription
deviceMacsarray<string>noMac adress of the device.
deviceMacstringnoMac adress of the device. If [deviceMac] is not empty, it takes effect with a higher priority than [deviceMacs].
customerstringyesTarget customer id.
sitestringyesTarget site id.
json
// omada_call_operation
{
  "operationId": "mspMoveToCustomer",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move site to target customer
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
[...]
